<?php
 /* 
 filename: \app\code\community\Msc\Capturemerchant\Model\Observer.php
 */
class Msc_Capturemerchant_Model_Observer
{
	const COOKIE_KEY_SOURCE = 'msc_capturemerchant_source';
	
	public function captureReferral(Varien_Event_Observer $observer)
    {
		$frontController = $observer->getEvent()->getFront();

        $merchantCookie = $frontController->getRequest()->getParam('mmerchant', false);
			
			if ($merchantCookie) {
            Mage::getModel('core/cookie')->set(
                self::COOKIE_KEY_SOURCE,
                $merchantCookie,
                $this->_getCookieLifetime()
            );
        }
    }
	protected function _getCookieLifetime()
    {
        $days = 30;

        // convert to seconds
        return (int)86400 * $days;
    }	
	
}